CANOPENTERM(1)

NAME
canopenterm - tool for developing, testing and analysing CANopen networks and devices

SYNOPSIS
canopenterm [SCRIPT]
canopenterm [OPTION]...

DESCRIPTION
CANopenTerm is an open-source tool for developing, testing and analysing CANopen networks and devices. It provides functionality for interacting with CAN-based systems, with support for CANopen as well as SAE J1939 and OBD-II protocols.

When a script path is provided as the sole argument, CANopenTerm runs the script in plain (non-graphical) mode.

OPTIONS

SCRIPT
    Run the specified script file and exit. Implies -p. Cannot be combined with other options.

-s SCRIPT
    Run the specified script file (.lua extension may be omitted).

-i INTERFACE
    Set the CAN network interface (e.g. vcan0).

-b BAUD
    Set the baud rate using an index:

    1   1 Mbit/s

    2   800 kbit/s

    3   500 kbit/s

    4   250 kbit/s

    5   125 kbit/s

-n NODE_ID
    Set the default node ID (1–127, default: 0x01).

-f  Open the widget window in full-screen mode.

-p  Run in plain (non-graphical) mode.

-t  Run the CANopen conformance test and exit. Implies -p.

FILES

~/.config/canopenterm/
    Per-user configuration directory.

SEE ALSO
codb2json(1)

AUTHORS
Michael Fitzmayer.

This manual page was written by Christopher Obbard <obbardc@debian.org> for the Debian project.